<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="a4ba97bd-69fc-4549-8407-13eeec316f0f" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/src/main/java/com/template/controller/AlumniNewsController.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/com/template/controller/AlumniNewsController.java" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CodeInsightWorkspaceSettings">
    <option name="optimizeImportsOnTheFly" value="true" />
  </component>
  <component name="CompilerWorkspaceConfiguration">
    <option name="MAKE_PROJECT_ON_SAVE" value="true" />
  </component>
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_DATA_SOURCES" value="true" />
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <option name="HIDDEN_KINDS">
      <set />
    </option>
    <expand />
    <select />
  </component>
  <component name="DefaultGradleProjectSettings">
    <option name="isMigrated" value="true" />
  </component>
  <component name="FavoritesManager">
    <favorites_list name="school_ecology_houtai" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/template/api/AlumniNewsControllerAPI.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="276">
              <caret line="19" selection-start-line="19" selection-end-line="19" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/AlumniNewsController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="92">
              <caret line="4" column="26" lean-forward="true" selection-start-line="4" selection-start-column="26" selection-end-line="4" selection-end-column="26" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>版本</find>
      <find>queryMyActivityPages</find>
      <find>alumniEndorsePageDatas</find>
      <find>123456</find>
      <find>加减天数</find>
      <find>queryClubProcessPage</find>
      <find>填充</find>
      <find>log</find>
      <find>swagger</find>
      <find>readBuffer</find>
      <find>openPort</find>
      <find>导出</find>
      <find>加减</find>
      <find>已过去</find>
      <find>apache</find>
      <find>like</find>
      <find>串口</find>
      <find>cors</find>
      <find>log.</find>
      <find>class</find>
      <find>alumniOrgService</find>
      <find>授权</find>
      <find>queryOrgs</find>
      <find>File</find>
      <find>导入</find>
      <find>readXls</find>
      <find>response</find>
      <find>queryPageByCategoryId</find>
      <find>updateAlumniNews</find>
      <find>queryAlumniNewsPage</find>
    </findStrings>
    <replaceStrings>
      <replace>FIND_IN_SET($</replace>
      <replace>Heart</replace>
      <replace>心链</replace>
    </replaceStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/com/template/AutoCode.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/mapper/AlumniHeartMapper.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/api/AlumniHeartControllerAPI.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/request/insertHeartRequest.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/request/updateHeartRequest.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/services/AlumniHeartService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/pojo/AlumniHeart.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/request/updateAccountRequest.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/AlumniUserController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/api/LoginControllerAPI.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/services/AlumniClubService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/services/impl/AlumniClubServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/AlumniClubController.java" />
        <option value="$PROJECT_DIR$/src/main/resources/mapper/template/AlumniClubMapper.xml" />
        <option value="$PROJECT_DIR$/src/main/resources/mapper/template/AlumniCategoryMapper.xml" />
        <option value="$PROJECT_DIR$/src/main/resources/mapper/template/AlumniImageMapper.xml" />
        <option value="$PROJECT_DIR$/src/main/resources/mapper/template/AlumniUserMapper.xml" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/AlumniActivityController.java" />
        <option value="$PROJECT_DIR$/src/main/resources/mapper/template/AlumniActivityMapper.xml" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/ActivityReportController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/ActivitySigninController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/SysCaptchaController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/SystemMenuController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/MybatisPlusApplication.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/services/impl/AlumniHeartServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/AlumniHeartController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/pojo/DeepSeekResponse.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/pojo/JsonExample.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/processResponseStream.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/api/AlumniAdminApplyControllerAPI.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/AlumniAdminApplyController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/pojo/DeepSeekRequest.java" />
        <option value="$PROJECT_DIR$/src/main/resources/application-prod.yml" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/core/CORSConfiguration.java" />
        <option value="$PROJECT_DIR$/src/main/resources/mapper/template/AlumniEndorseMapper.xml" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/LoginController.java" />
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/SerialPortListener.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/DataAvailableListener.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/SerialPortManager.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/TimeExchange2.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/api/DeepseekControllerAPI.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/common/utils/JWTUtil.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/DeepseekControl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/api/ActivityImageControllerAPI.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/ActivityImageController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/pojo/AlumniNews.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/vo/NewsPageVo.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/request/insertAlumniNewsRequest.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/model/request/updateAlumniNewsRequest.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/template/controller/AlumniNewsController.java" />
      </list>
    </option>
  </component>
  <component name="JRebelWorkspace">
    <option name="jrebelEnabledAutocompile" value="true" />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="mavenHome" value="D:/Software/Develop/Maven/apache-maven-3.3.9" />
        <option name="userSettingsFile" value="D:\Software\Develop\Maven\apache-maven-3.3.9\conf\settings.xml" />
      </MavenGeneralSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="mybatis_plus" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="mybatis_plus" type="9519ce18:MavenProjectsStructure$ProjectNode" />
          <item name="Lifecycle" type="58874e2:MavenProjectsStructure$LifecycleNode" />
        </path>
      </expand>
      <select />
    </treeState>
  </component>
  <component name="MavenRunner">
    <option name="skipTests" value="true" />
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-7" />
    <option name="width" value="974" />
    <option name="height" value="1039" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="PackagesPane" />
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="school_ecology_houtai" type="b2602c69:ProjectViewProjectNode" />
              <item name="school_ecology_houtai" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="school_ecology_houtai" type="b2602c69:ProjectViewProjectNode" />
              <item name="school_ecology_houtai" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="school_ecology_houtai" type="b2602c69:ProjectViewProjectNode" />
              <item name="school_ecology_houtai" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="school_ecology_houtai" type="b2602c69:ProjectViewProjectNode" />
              <item name="school_ecology_houtai" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="school_ecology_houtai" type="b2602c69:ProjectViewProjectNode" />
              <item name="school_ecology_houtai" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="school_ecology_houtai" type="b2602c69:ProjectViewProjectNode" />
              <item name="school_ecology_houtai" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="annotation" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="school_ecology_houtai" type="b2602c69:ProjectViewProjectNode" />
              <item name="school_ecology_houtai" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="api" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="school_ecology_houtai" type="b2602c69:ProjectViewProjectNode" />
              <item name="school_ecology_houtai" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="controller" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="school_ecology_houtai" type="b2602c69:ProjectViewProjectNode" />
              <item name="school_ecology_houtai" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="core" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="school_ecology_houtai" type="b2602c69:ProjectViewProjectNode" />
              <item name="school_ecology_houtai" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="mapper" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="school_ecology_houtai" type="b2602c69:ProjectViewProjectNode" />
              <item name="school_ecology_houtai" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="model" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="school_ecology_houtai" type="b2602c69:ProjectViewProjectNode" />
              <item name="school_ecology_houtai" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="model" type="462c0819:PsiDirectoryNode" />
              <item name="enumModel" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="school_ecology_houtai" type="b2602c69:ProjectViewProjectNode" />
              <item name="school_ecology_houtai" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="model" type="462c0819:PsiDirectoryNode" />
              <item name="pojo" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="school_ecology_houtai" type="b2602c69:ProjectViewProjectNode" />
              <item name="school_ecology_houtai" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="services" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="school_ecology_houtai" type="b2602c69:ProjectViewProjectNode" />
              <item name="school_ecology_houtai" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
              <item name="services" type="462c0819:PsiDirectoryNode" />
              <item name="impl" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="school_ecology_houtai" type="b2602c69:ProjectViewProjectNode" />
              <item name="school_ecology_houtai" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="school_ecology_houtai" type="b2602c69:ProjectViewProjectNode" />
              <item name="school_ecology_houtai" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="template" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="RequestMappingsPanelOrder0" value="0" />
    <property name="RequestMappingsPanelOrder1" value="1" />
    <property name="RequestMappingsPanelWidth0" value="75" />
    <property name="RequestMappingsPanelWidth1" value="75" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../../报修系统/repair_backend" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="project.structure.last.edited" value="Project" />
    <property name="project.structure.proportion" value="0.15819208" />
    <property name="project.structure.side.proportion" value="0.0" />
    <property name="settings.editor.selected.configurable" value="editor.preferences.import" />
  </component>
  <component name="RebelAgentSelection">
    <selection>jr</selection>
  </component>
  <component name="RecentsManager">
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.template.api" />
      <recent name="com.template.model.request" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="D:\Bingo\Desktop\工作内容\校友生态\school_ecology_houtai\src\main\resources\mapper\template" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Spring Boot.MybatisPlusApplication">
    <configuration name="AutoCode" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.template.AutoCode" />
      <module name="school_ecology_houtai" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.template.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Message2" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.template.common.utils.Message2" />
      <module name="school_ecology_houtai" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.template.common.utils.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TimeExchange" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.template.common.utils.TimeExchange" />
      <module name="school_ecology_houtai" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.template.common.utils.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TimeExchange2" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="com.template.common.utils.TimeExchange2" />
      <module name="school_ecology_houtai" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.template.common.utils.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="MybatisPlusApplication" type="SpringBootApplicationConfigurationType" factoryName="Spring Boot">
      <module name="school_ecology_houtai" />
      <option name="SPRING_BOOT_MAIN_CLASS" value="com.template.MybatisPlusApplication" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="UPDATE_ACTION_UPDATE_POLICY" value="UpdateClassesAndResources" />
      <option name="FRAME_DEACTIVATION_UPDATE_POLICY" value="UpdateClassesAndResources" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="Application.AutoCode" />
      <item itemvalue="Application.Message2" />
      <item itemvalue="Application.TimeExchange" />
      <item itemvalue="Application.TimeExchange2" />
      <item itemvalue="Spring Boot.MybatisPlusApplication" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Application.TimeExchange2" />
        <item itemvalue="Application.TimeExchange" />
        <item itemvalue="Application.AutoCode" />
        <item itemvalue="Application.Message2" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="a4ba97bd-69fc-4549-8407-13eeec316f0f" name="Default Changelist" comment="" />
      <created>1733709589414</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1733709589414</updated>
      <workItem from="1733709591925" duration="74000" />
      <workItem from="1733709678777" duration="19520000" />
      <workItem from="1733816580705" duration="216000" />
      <workItem from="1733816843225" duration="21196000" />
      <workItem from="1734334396933" duration="1058000" />
      <workItem from="1734336462990" duration="3019000" />
      <workItem from="1734339752050" duration="415000" />
      <workItem from="1734340563706" duration="19557000" />
      <workItem from="1734482972516" duration="8300000" />
      <workItem from="1734503337021" duration="54806000" />
      <workItem from="1735111449261" duration="14000" />
      <workItem from="1735178421453" duration="2291000" />
      <workItem from="1735198460956" duration="506000" />
      <workItem from="1735202663012" duration="10951000" />
      <workItem from="1735539081373" duration="838000" />
      <workItem from="1735611817576" duration="7980000" />
      <workItem from="1736754601843" duration="731000" />
      <workItem from="1736755888424" duration="8028000" />
      <workItem from="1736841755601" duration="4418000" />
      <workItem from="1736900483921" duration="96082000" />
      <workItem from="1739083133832" duration="9908000" />
      <workItem from="1739151264461" duration="56000" />
      <workItem from="1740013823841" duration="14017000" />
      <workItem from="1740191502442" duration="8603000" />
      <workItem from="1740642928564" duration="34682000" />
      <workItem from="1740981882117" duration="276000" />
      <workItem from="1740982177876" duration="12624000" />
      <workItem from="1741057922288" duration="15000" />
      <workItem from="1741070597866" duration="800000" />
      <workItem from="1742262753361" duration="1190000" />
      <workItem from="1742263980215" duration="7932000" />
      <workItem from="1742289743090" duration="9603000" />
      <workItem from="1742356063531" duration="14093000" />
      <workItem from="1745799676112" duration="151000" />
      <workItem from="1745929138057" duration="2613000" />
      <workItem from="1745982873170" duration="1479000" />
      <workItem from="1746336513549" duration="7302000" />
      <workItem from="1746519438995" duration="4496000" />
      <workItem from="1746603766545" duration="3100000" />
      <workItem from="1746663751738" duration="6000" />
      <workItem from="1746885469336" duration="1582000" />
      <workItem from="1747013405366" duration="53000" />
      <workItem from="1747036606844" duration="327000" />
      <workItem from="1747038109588" duration="619000" />
      <workItem from="1749798258603" duration="36000" />
      <workItem from="1749807975498" duration="1808000" />
      <workItem from="1750062983059" duration="240000" />
      <workItem from="1750143994859" duration="46000" />
      <workItem from="1750317342773" duration="2423000" />
      <workItem from="1750386088005" duration="375000" />
      <workItem from="1750920267073" duration="687000" />
      <workItem from="1757901442839" duration="515000" />
      <workItem from="1757901975995" duration="5661000" />
      <workItem from="1758002293588" duration="628000" />
      <workItem from="1758009369050" duration="8889000" />
      <workItem from="1758242216727" duration="6646000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="423481000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-7" y="0" width="974" height="1039" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info id="Structure" order="0" side_tool="true" weight="0.25" />
      <window_info id="JRebel" order="1" sideWeight="0.5013158" side_tool="true" weight="0.3402626" />
      <window_info id="Image Layers" order="2" />
      <window_info id="Capture Tool" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Designer" order="5" />
      <window_info id="Web" order="6" weight="0.32889125" />
      <window_info id="Favorites" order="7" sideWeight="0.5010941" side_tool="true" weight="0.29690832" />
      <window_info active="true" content_ui="combo" id="Project" order="8" sideWeight="0.4986842" visible="true" weight="0.36870897" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32603937" />
      <window_info anchor="bottom" id="Run" order="2" sideWeight="0.4989059" weight="0.4320442" />
      <window_info anchor="bottom" id="Cvs" order="3" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="4" weight="0.4" />
      <window_info active="true" anchor="bottom" id="Debug" order="5" sideWeight="0.4989059" visible="true" weight="0.34917128" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.32932165" />
      <window_info anchor="bottom" id="Event Log" order="7" sideWeight="0.5010661" side_tool="true" weight="0.43982494" />
      <window_info anchor="bottom" id="Terminal" order="8" weight="0.32928178" />
      <window_info anchor="bottom" id="Database Changes" order="9" />
      <window_info anchor="bottom" id="Version Control" order="10" weight="0.32932165" />
      <window_info anchor="bottom" id="Docker" order="11" />
      <window_info anchor="bottom" id="JRebel Console" order="12" sideWeight="0.5010941" side_tool="true" weight="0.4441989" />
      <window_info anchor="bottom" id="Spring" order="13" weight="0.3325967" />
      <window_info anchor="bottom" id="Java Enterprise" order="14" weight="0.32932165" />
      <window_info anchor="bottom" id="JRebel Executor" order="15" sideWeight="0.49946696" weight="0.6739606" />
      <window_info anchor="bottom" id="Messages" order="16" weight="0.160221" />
      <window_info anchor="bottom" id="Problems" order="17" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.2494432" />
      <window_info anchor="right" id="Maven" order="3" weight="0.6247265" />
      <window_info anchor="right" id="Palette" order="4" />
      <window_info anchor="right" id="JRebel Setup Guide" order="5" side_tool="true" weight="0.32932165" />
      <window_info anchor="right" id="Capture Analysis" order="6" />
      <window_info anchor="right" id="Database" order="7" weight="0.32932165" />
      <window_info anchor="right" id="Palette&#9;" order="8" />
      <window_info anchor="right" id="Theme Preview" order="9" />
      <window_info anchor="right" id="Bean Validation" order="10" weight="0.32932165" />
    </layout>
    <layout-to-restore>
      <window_info id="Structure" order="0" side_tool="true" weight="0.25" />
      <window_info id="JRebel" order="1" sideWeight="0.5013158" side_tool="true" weight="0.3402626" />
      <window_info id="Image Layers" order="2" />
      <window_info id="Capture Tool" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Designer" order="5" />
      <window_info id="Web" order="6" visible="true" weight="0.32889125" />
      <window_info id="Favorites" order="7" sideWeight="0.5010941" side_tool="true" weight="0.29690832" />
      <window_info content_ui="combo" id="Project" order="8" sideWeight="0.4986842" weight="0.49562362" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" weight="0.32603937" />
      <window_info anchor="bottom" id="Run" order="2" sideWeight="0.4989059" weight="0.42209944" />
      <window_info anchor="bottom" id="Cvs" order="3" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="4" weight="0.4" />
      <window_info anchor="bottom" id="Debug" order="5" sideWeight="0.4989059" weight="0.4321663" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.32932165" />
      <window_info anchor="bottom" id="Event Log" order="7" sideWeight="0.5010661" side_tool="true" weight="0.43982494" />
      <window_info anchor="bottom" id="Terminal" order="8" weight="0.32928178" />
      <window_info anchor="bottom" id="Database Changes" order="9" />
      <window_info anchor="bottom" id="Version Control" order="10" weight="0.32932165" />
      <window_info anchor="bottom" id="Docker" order="11" />
      <window_info anchor="bottom" id="JRebel Console" order="12" sideWeight="0.5010941" side_tool="true" weight="0.4441989" />
      <window_info anchor="bottom" id="Spring" order="13" weight="0.3325967" />
      <window_info anchor="bottom" id="Java Enterprise" order="14" weight="0.32932165" />
      <window_info anchor="bottom" id="JRebel Executor" order="15" sideWeight="0.49946696" weight="0.6739606" />
      <window_info anchor="bottom" id="Messages" order="16" weight="0.16243094" />
      <window_info anchor="bottom" id="Problems" order="17" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.2494432" />
      <window_info anchor="right" id="Maven" order="3" weight="0.6280087" />
      <window_info anchor="right" id="Palette" order="4" />
      <window_info anchor="right" id="JRebel Setup Guide" order="5" side_tool="true" weight="0.32932165" />
      <window_info anchor="right" id="Capture Analysis" order="6" />
      <window_info anchor="right" id="Database" order="7" weight="0.32932165" />
      <window_info anchor="right" id="Palette&#9;" order="8" />
      <window_info anchor="right" id="Theme Preview" order="9" />
      <window_info anchor="right" id="Bean Validation" order="10" weight="0.32932165" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="antWorkspaceConfiguration">
    <option name="IS_AUTOSCROLL_TO_SOURCE" value="false" />
    <option name="FILTER_TARGETS" value="false" />
  </component>
  <component name="com.intellij.coverage.CoverageDataManagerImpl">
    <SUITE FILE_PATH="coverage/school_ecology_houtai$MybatisPlusApplication.ic" NAME="MybatisPlusApplication Coverage Results" MODIFIED="1737017042490" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="idea" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/main/resources/mapper/template/AlumniClubMapper.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1886">
          <caret line="82" column="34" selection-start-line="82" selection-start-column="16" selection-end-line="82" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/mapper/ActivityReportMapper.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="161">
          <caret line="17" column="7" selection-start-line="17" selection-start-column="7" selection-end-line="17" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/enumModel/eabookType.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="874">
          <caret line="42" column="5" selection-start-line="10" selection-start-column="4" selection-end-line="42" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/common/utils/TimeExchange2.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="11615">
          <caret line="515" column="4" selection-start-line="515" selection-start-column="4" selection-end-line="529" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/AlumniEndorseController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2783">
          <caret line="158" column="13" selection-start-line="158" selection-start-column="13" selection-end-line="158" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/apache/poi/poi/4.1.0/poi-4.1.0-sources.jar!/org/apache/poi/ss/usermodel/Workbook.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="46">
          <caret line="17" column="18" selection-start-line="17" selection-start-column="12" selection-end-line="17" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="6693">
          <caret line="291" column="73" selection-start-line="291" selection-start-column="73" selection-end-line="291" selection-end-column="73" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/common/utils/SerialPortManager.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/common/utils/SerialPortListener.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/common/utils/DataAvailableListener.java" />
    <entry file="file://$PROJECT_DIR$/src/main/resources/mapper/template/SmsCodeMapper.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/mapper/template/AlumniUserMapper.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="253">
          <caret line="11" column="25" selection-start-line="11" selection-start-column="21" selection-end-line="11" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/mapper/AlumniNewsMapper.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="299">
          <caret line="15" column="17" selection-start-line="15" selection-start-column="17" selection-end-line="15" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/mapper/AlumniReturnMapper.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="322">
          <caret line="20" column="56" selection-start-line="20" selection-start-column="56" selection-end-line="20" selection-end-column="56" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/mapper/AlumniOrgMapper.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="299">
          <caret line="15" column="17" selection-start-line="15" selection-start-column="17" selection-end-line="15" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/common/utils/JWTUtil.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1817">
          <caret line="93" column="6" selection-start-line="93" selection-start-column="6" selection-end-line="93" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/api/AlumniEndorseControllerAPI.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="276">
          <caret line="21" column="59" selection-start-line="21" selection-start-column="35" selection-end-line="21" selection-end-column="59" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/pojo/AlumniUser.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="10">
          <caret line="63" column="19" selection-start-line="63" selection-start-column="19" selection-end-line="63" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/AlumniOrgController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="287">
          <caret line="47" column="43" selection-start-line="47" selection-start-column="43" selection-end-line="47" selection-end-column="43" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/DeepseekControl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="483">
          <caret line="21" column="19" selection-start-line="21" selection-start-column="19" selection-end-line="21" selection-end-column="19" />
          <folding>
            <element signature="method#askDeepSeek#0;class#DeepseekControl#0" />
            <element signature="method#processResponseStream#0;class#DeepseekControl#0" />
            <element signature="method#handleError#0;class#DeepseekControl#0" />
            <element signature="method#askNDeepSeek#0;class#DeepseekControl#0" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/common/utils/WeiXiaoUtil.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2093">
          <caret line="117" column="33" selection-start-line="117" selection-start-column="24" selection-end-line="117" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/result/Wx_user.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1104">
          <caret line="49" column="4" selection-start-line="49" selection-start-column="4" selection-end-line="53" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/application-dev.yml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="345">
          <caret line="15" column="28" selection-start-line="15" selection-start-column="14" selection-end-line="15" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/AlumniImageController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="322">
          <caret line="41" column="13" selection-start-line="41" selection-start-column="13" selection-end-line="41" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/api/FileControllerAPI.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="253">
          <caret line="15" column="23" selection-start-line="15" selection-start-column="23" selection-end-line="15" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/FileController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1702">
          <caret line="84" column="13" selection-start-line="84" selection-start-column="13" selection-end-line="84" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/AlumniClubController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="184">
          <caret line="49" column="7" selection-start-line="49" selection-start-column="7" selection-end-line="49" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/api/ExcelControllerAPI.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="253">
          <caret line="15" column="16" selection-start-line="15" selection-start-column="9" selection-end-line="15" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/request/uploadFileResponse.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="253">
          <caret line="15" column="13" selection-start-line="15" selection-start-column="13" selection-end-line="15" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/LoginController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="6555">
          <caret line="319" column="116" selection-start-line="319" selection-start-column="8" selection-end-line="319" selection-end-column="116" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/config/WxOpenidConfig.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="529">
          <caret line="25" column="19" selection-start-line="25" selection-start-column="19" selection-end-line="25" selection-end-column="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/api/LoginControllerAPI.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="23">
          <caret line="1" selection-start-line="1" selection-end-line="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/core/JwtlnterceptorConfig.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="115">
          <caret line="9" column="13" selection-start-line="9" selection-start-column="13" selection-end-line="9" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/ExcelController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="276">
          <caret line="25" column="7" selection-start-line="25" selection-start-column="7" selection-end-line="25" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/core/CORSConfiguration.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="92">
          <caret line="10" column="14" selection-start-line="10" selection-start-column="14" selection-end-line="10" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/core/JwtAuthenticationInterceptor.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="92">
          <caret line="20" column="13" selection-start-line="20" selection-start-column="13" selection-end-line="20" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/application.yml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/application-prod.yml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2392">
          <caret line="104" column="2" selection-start-line="104" selection-start-column="2" selection-end-line="104" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/ActivityReportController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="322">
          <caret line="16" column="13" selection-start-line="16" selection-start-column="13" selection-end-line="16" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/mapper/template/AlumniNewsMapper.xml">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/AlumniAdminApplyController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="322">
          <caret line="33" column="13" selection-start-line="33" selection-start-column="13" selection-end-line="33" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/pojo/AlumniNews.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-107">
          <caret line="30" column="13" selection-start-line="30" selection-start-column="13" selection-end-line="30" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/ActivityImageController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="644">
          <caret line="39" column="9" selection-start-line="39" selection-start-column="9" selection-end-line="39" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/vo/NewsPageVo.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="441">
          <caret line="36" column="27" selection-start-line="36" selection-start-column="19" selection-end-line="36" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/spring-core/5.3.1/spring-core-5.3.1-sources.jar!/org/springframework/cglib/proxy/MethodProxy.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="234">
          <caret line="222" column="14" selection-start-line="222" selection-start-column="14" selection-end-line="222" selection-end-column="14" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/api/ActivityImageControllerAPI.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="207">
          <caret line="16" column="45" selection-start-line="16" selection-start-column="27" selection-end-line="16" selection-end-column="45" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/api/DeepseekControllerAPI.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="345">
          <caret line="23" selection-start-line="23" selection-end-line="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/request/insertAlumniNewsRequest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="80">
          <caret line="24" column="13" selection-start-line="24" selection-start-column="13" selection-end-line="24" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/model/request/updateAlumniNewsRequest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="678">
          <caret line="50" column="6" selection-start-line="50" selection-start-column="6" selection-end-line="50" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/api/AlumniNewsControllerAPI.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="276">
          <caret line="19" selection-start-line="19" selection-end-line="19" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/template/controller/AlumniNewsController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="92">
          <caret line="4" column="26" lean-forward="true" selection-start-line="4" selection-start-column="26" selection-end-line="4" selection-end-column="26" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>